import java.util.*;

/**
 * Klasse fr einzelnen Artikel
 *
 * @author Bernhard Fiser 0109815
 * @version 1.0
 */

public class Artikel
{
	public int	nummer;
	public String	bezeichnung;
	public int	preis;

	/** Constructor, Artikel auf 0 initialisieren */
	public		Artikel()
	{
		nummer = 0;
		bezeichnung = "";
		preis = 0;
	}

	/** Artikel aus einem String parsen und Werte setzen */
	public boolean	parseArtikel(String s)
	{
		StringTokenizer	st;
		int		i;
		String		t;
		double		d;

		/* StringTokenizer initialisieren */
		i = 0;
		st = new StringTokenizer(s, ",");
		while (st.hasMoreTokens())
		{
			t = st.nextToken();
			switch (i)
			{
				/* Ersten Token in Variable fr Artikelnummer schreiben */
				case 0 :
					try { this.nummer = Integer.parseInt(t); }
					catch (NumberFormatException e) { return(false); }
					if ((this.nummer < 0) || (this.nummer >= 1000))
						return(false);
					break;
				/* Zweiten Token in Variable fr Bezeichnung schreiben */
				case 1 :
					bezeichnung = t;
					break;
				/* Dritten Token in Variable fr Preis schreiben */
				case 2 :
					try { d = Double.parseDouble(t); }
					catch (NumberFormatException e) { return(false); }
					if ((d < 0) || (d >= 1000))
						return(false);
					/* Preis auf Integer konvertieren um Rundungsfehler auszuschlieen */
					this.preis = (int) (d * 1000.0);
					break;
				/* Falls mehr Tokens, dann Fehler zurckgeben */
				default :
					return(false);
			}
			i++;
		}
		/* Falls zu wenig Tokens, Fehler zurckgeben */
		if (i < 3)
			return(false);
		/* Andernfalls alles OK */
		return(true);
	}
}